CrystaX NDK - Bug #1097

[tests] Build of crystax-issue995-objective-c-literals failed on Mac OS X 10.7
10/13/2015 06:15 PM - Dmitry Moskalchuk

Status: Closed Start date: 10/13/2015
Priority: High Due date:

Assignee: Dmitry Moskalchuk % Done: 100%
Category: test Estimated time: 0.00 hour
Target version: 10.3.0

CPU Architecture: Android version:

Host OS: OS X CrystaX Version:

Toolchain:

Description

2015-10-12 20:05:04.225 UTC: HST device test [crystax-issue995-objective-c-literals]

2015-10-12 20:05:04.252 UTC: ## COMMAND:
/tmp/crystaxndk-ndk/crystax-ndk-10.2.1-b706-darwin-x86_64/prebuilt/darwin-x86_64/bin/make -C
/tmp/ndk-tests-macosx10.7/clang3.7/device/crystax-issue995-objective-c-literals/host-cc/host -B -j4 test CC=cc
2015-10-12 20:05:04.252 UTC: ## CWD: /Users/ndk

2015-10-12 20:05:04.415 UTC:

> make: Entering directory

/private/tmp/ndk-tests-macosx10.7/clang3.7/device/crystax-issue995-objective-c-literals/host-cc/host’

2015-10-12 20:05:04.415 UTC:
2015-10-12 20:05:04.416 UTC:
2015-10-12 20:05:04.416 UTC:
.Jjnitest.m

2015-10-12 20:05:04.672 UTC:
2015-10-12 20:05:04.675 UTC:
2015-10-12 20:05:04.675 UTC:
2015-10-12 20:05:04.675 UTC:
2015-10-12 20:05:04.676 UTC:
2015-10-12 20:05:04.676 UTC:
2015-10-12 20:05:04.677 UTC:
2015-10-12 20:05:04.678 UTC:
2015-10-12 20:05:04.678 UTC:
2015-10-12 20:05:04.678 UTC:
2015-10-12 20:05:04.678 UTC:
2015-10-12 20:05:04.678 UTC:
2015-10-12 20:05:04.684 UTC:
'NSMutableArray *'

2015-10-12 20:05:04.684 UTC:
2015-10-12 20:05:04.685 UTC:
2015-10-12 20:05:04.685 UTC:
'NSMutableArray *'

2015-10-12 20:05:04.685 UTC:
2015-10-12 20:05:04.685 UTC:
2015-10-12 20:05:04.685 UTC:
2015-10-12 20:05:04.686 UTC:
2015-10-12 20:05:04.686 UTC:
2015-10-12 20:05:04.686 UTC:
'NSMutableArray *'

2015-10-12 20:05:04.686 UTC:
2015-10-12 20:05:04.686 UTC:
2015-10-12 20:05:04.686 UTC:
'NSMutableArray *'

2015-10-12 20:05:04.687 UTC:
2015-10-12 20:05:04.687 UTC:
2015-10-12 20:05:04.687 UTC:
'NSMutableArray *'

2015-10-12 20:05:04.687 UTC:
2015-10-12 20:05:04.687 UTC:
2015-10-12 20:05:04.687 UTC:

09/18/2019

> mkdir -p obj/cc
> mkdir -p bin/cc
> ccC -X objective-c -O0 -fnext-runtime -fblocks -Wall -Werror -UNDEBUG -c -0 obj/cc/test.m.o

* ./jni/test.m:75:28: error: unexpected type name 'BOOL': expected expression
*  NSNumber *yesNumber = @YES;
A

*

* Jusr/include/objc/objc.h:50:26: note: expanded from macro 'YES'
* #define YES (BOOL)1

* A

* ./jni/test.m:78:27: error: unexpected type name 'BOOL': expected expression
*  NSNumber *noNumber = @NO;

* A

* Jusr/include/objc/objc.h:51:26: note: expanded from macro 'NO'
* #define NO (BOOL)0

* A

* .Jinitest.m:142:28: error: expected method to read array element not found on object of type

*  NSLog(@"array2[0]=%@", array2[0]);
A

*

./jni/test.m:143:13: error: expected method to read array element not found on object of type
*  assert([array2[0] isEqualToNumber:@4234));

A
* Jusr/include/assert.h:93:25: note: expanded from macro 'assert’

*  (__builtin_expect(l(e), 0) ? __assert_rin(__func__, _ FILE_ , _ LINE__, #e) : (void)0)

* A

./jnitest.m:144:5: error: expected method to write array element not found on object of type
*  array2[0] = @4345;
A
* ./jni/test.m:145:28: error: expected method to read array element not found on object of type
*  NSLog(@"array2[0]=%@", array2[0]);
A
* .Jjni/test.m:146:13: error: expected method to read array element not found on object of type
* assert([array2[0] isEqualToNumber:@4345]));
A

*

* Jusr/include/assert.h:93:25: note: expanded from macro 'assert’
2015-10-12 20:05:04.688 UTC:
2015-10-12 20:05:04.688 UTC:
2015-10-12 20:05:04.688 UTC:

'NSMutableArray *'

2015-10-12 20:05:04.688 UTC:
2015-10-12 20:05:04.688 UTC:
2015-10-12 20:05:04.689 UTC:

'NSMutableArray *'

2015-10-12 20:05:04.689 UTC:
2015-10-12 20:05:04.689 UTC:
2015-10-12 20:05:04.689 UTC:
2015-10-12 20:05:04.689 UTC:
2015-10-12 20:05:04.690 UTC:
2015-10-12 20:05:04.690 UTC:

'NSMutableArray *'

2015-10-12 20:05:04.690 UTC:
2015-10-12 20:05:04.690 UTC:
2015-10-12 20:05:04.690 UTC:

'NSMutableArray *'

2015-10-12 20:05:04.690 UTC:
2015-10-12 20:05:04.690 UTC:
2015-10-12 20:05:04.691 UTC:

'NSMutableArray *'

2015-10-12 20:05:04.691 UTC:
2015-10-12 20:05:04.691 UTC:
2015-10-12 20:05:04.691 UTC:
2015-10-12 20:05:04.691 UTC:
2015-10-12 20:05:04.691 UTC:
2015-10-12 20:05:04.692 UTC:

'NSMutableDictionary *'

2015-10-12 20:05:04.692 UTC:
2015-10-12 20:05:04.692 UTC:
2015-10-12 20:05:04.692 UTC:
2015-10-12 20:05:04.692 UTC:
2015-10-12 20:05:04.692 UTC:
2015-10-12 20:05:04.693 UTC:

'NSMutableDictionary *'

2015-10-12 20:05:04.693 UTC:
2015-10-12 20:05:04.693 UTC:
2015-10-12 20:05:04.693 UTC:

'NSMutableDictionary *'

2015-10-12 20:05:04.693 UTC:
2015-10-12 20:05:04.693 UTC:
2015-10-12 20:05:04.694 UTC:
2015-10-12 20:05:04.694 UTC:
2015-10-12 20:05:04.694 UTC:
2015-10-12 20:05:04.694 UTC:

'NSMutableDictionary *'

2015-10-12 20:05:04.694 UTC:
2015-10-12 20:05:04.694 UTC:
2015-10-12 20:05:04.695 UTC:
2015-10-12 20:05:04.695 UTC:
2015-10-12 20:05:04.695 UTC:
2015-10-12 20:05:04.695 UTC:

'NSMutableDictionary *'

2015-10-12 20:05:04.695 UTC:
2015-10-12 20:05:04.696 UTC:

*  (__builtin_expect(!(e), 0) ? __assert_rin(__func__, _ FILE_ , _ LINE__, #e) : (void)0)

* A

* ./ini/test.m:148:45: error: expected method to read array element not found on object of type

*  NSLog(@"array2[1]=%@ (%@)", array2[1], [array2[1] class]);

* A

./jni/test.m:150:13: error: expected method to read array element not found on object of type
* assert([array2[1] isEqualToString:@"Hello111"]);
A

* Jusr/include/assert.h:93:25: note: expanded from macro 'assert’
*  (__builtin_expect(!(e), 0) ? __assert_rtn(__func__, _FILE__, LINE__, #e) : (void)0)

* A

./jnitest.m:151:5: error: expected method to write array element not found on object of type
* array2[1] = @"Hello222";

A
* .Jjnitest.m:152:45: error: expected method to read array element not found on object of type

*  NSLog(@"array2[1]=%@ (%@)", array2[1], [array2[1] class]);

*

./jnitest.m:154:13: error: expected method to read array element not found on object of type

* assert([array2[1] isEqualToString:@"Hello222");

* A

* Jusr/include/assert.h:93:25: note: expanded from macro 'assert’

*  (__builtin_expect(l(e), 0) ? __assert_rin(__func__, _ FILE_ , _ LINE__, #e) : (void)0)

* A

*

./jnitest.m:158:13: error: expected method to read dictionary element not found on object of type
*  assert([dictionary2[@"name"] isEqualToString:@"NAME"));
A

* Jusr/include/assert.h:93:25: note: expanded from macro 'assert’
*  (__builtin_expect(!(e), 0) ? __assert_rin(__func__, _ FILE_ , _ LINE__, #e) : (void)0)
A

* .Jinitest.m:159:5: error: expected method to write dictionary element not found on object of type

* dictionary2[@"name"] = @"NAME2";
A

*

./jni/test.m:160:13: error: expected method to read dictionary element not found on object of type

*

*  assert([dictionary2[@"name"] isEqualToString:@"NAME2"));
A

* Jusr/include/assert.h:93:25: note: expanded from macro 'assert’
*  (__builtin_expect(!(e), 0) ? __assert_rtn(_ func_ , _ FILE_ , _ LINE__, #e) : (void)0)

* A

*

./jni/test.m:161:13: error: expected method to read dictionary element not found on object of type
*  assert([dictionary2[@"value"] isEqualToNumber:@1234]);
A

* Jusr/include/assert.h:93:25: note: expanded from macro 'assert’
* (__builtin_expect(!(e), 0) ? __assert_rtn(__func__, _FILE_, LINE__, #e) : (void)0)

* A

*

./jnitest.m:162:5: error: expected method to write dictionary element not found on object of type

*  dictionary2[@"value"] = @5678;
> make: Leaving

directory/private/tmp/ndk-tests-macosx10.7/clang3.7/device/crystax-issue995-objective-c-literals/host-cc/host'

2015-10-12 20:05:04.696 UTC:
2015-10-12 20:05:04.697 UTC:

'NSMutableDictionary '

2015-10-12 20:05:04.697 UTC:
2015-10-12 20:05:04.697 UTC:
2015-10-12 20:05:04.697 UTC:
2015-10-12 20:05:04.697 UTC:
2015-10-12 20:05:04.697 UTC:
2015-10-12 20:05:04.697 UTC:

09/18/2019

* A

* ./initest.m:163:13: error: expected method to read dictionary element not found on object of type

*  assert([dictionary2[@"value"] isEqualToNumber:@5678]);

* A

* Jusr/include/assert.h:93:25: note: expanded from macro 'assert’

*  (builtin_expect(!(e), 0) ? __assert_rtn(func FILE, __LINE , #e) : (void)0)
A

*

* 18 errors generated.
2015-10-12 20:05:04.698 UTC: * make: ™ [obj/cc/test.m.o] Error 1
2015-10-12 20:05:04.698 UTC: ERROR: On-host test of crystax-issue995-objective-c-literals failed
2015-10-12 20:05:04.698 UTC: ---> FAILURE: HOST TEST [crystax-issue995-objective-c-literals]

History

#1 - 10/23/2015 12:56 PM - Dmitry Moskalchuk

- Status changed from Open to In Progress

#2 - 10/27/2015 09:12 AM - Dmitry Moskalchuk
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
